#include <gtk/gtk.h>
#ifndef __CALLBACKS_H
  #define __CALLBACKS_H
  
gint deleteEvent( GtkWidget *widget, GdkEvent *event, gpointer data);
gint closeDialog ( GtkWidget *widget, GdkEvent *event, gpointer data);
gint setRulez ( GtkWidget *widget, gpointer data);
gint setMainLoopInterval ( GtkWidget *widget,  gpointer data);
gint setInfinity ( GtkWidget *widget,  gpointer data);
void playerMapClickEvent( GtkWidget *widget, coords *data);
void setActMicrob( GtkWidget *widget, gpointer data);
void showStatDialog (GtkWidget *widget, gpointer data);
void showRulezDialog (GtkWidget *widget, gpointer data);
void showOptionsDialog (GtkWidget *widget, gpointer data);
void savePlayerMap (GtkWidget *widget, gpointer data);
void loadPlayerMap (GtkWidget *widget, gpointer data);
void storeFileName (GtkWidget *selector, gpointer data);
void reDrawPlayerMap (playerSpecs *p);
void clearTable (GtkWidget *widget, gpointer data);
void nextGenEvent (GtkWidget *widget, gpointer data);
void previousGenEvent (GtkWidget *widget, gpointer data);
void startLifeSimulation (GtkWidget *widget, gpointer data);
void stopLifeSimulation (GtkWidget *widget, gpointer data);
void nextGenWrapper (gpointer data);
#endif